project:
  name: "DBPR Copilot"
  description: "AI-powered Florida contractor licensing assistant - Chat → Packet → Pay → Download"

paths:
  root: "/home/crogers2287/DBPRForms"
  planning: "/home/crogers2287/DBPRForms/_bmad-output/planning-artifacts"
  implementation: "/home/crogers2287/DBPRForms/_bmad-output/implementation-artifacts"

stack:
  frontend: "Next.js 14 (App Router), TypeScript, Tailwind, React"
  backend: "Next.js API Routes, Prisma ORM, PostgreSQL (Supabase)"
  ai: "Gemini 2.5 Flash Lite (gemini.ts wrapper), text-embedding-004"
  pdf: "pdf-lib, pdf-parse, canvas, DeepSeek OCR, QWEN3-VL"
  auth: "NextAuth v5 (magic link), Supabase Auth"
  payments: "Stripe"
  infrastructure: "Docker Compose (local), Supabase (hosted DB)"

constraints:
  max_stories_per_sprint: 5
  require_code_review: true
  require_ux_review: true  # form-filling accuracy is critical
  require_qa: true         # PDF output must be validated

# Current state context
status:
  last_update: "2025-11-01"
  state: "partially operational"
  blockers:
    - "Field box positioning needs calibration refinement"
    - "Form filling end-to-end not fully tested"
    - "Only 8/27 forms calibrated"
    - "QWEN OCR field refinement disabled (coordination scaling issues)"
  working:
    - "Conversational agent (Route → Plan → Act → Observe → Reflect → Answer)"
    - "Form sync and indexing"
    - "Vector + FTS hybrid search"
    - "PDF rasterization and visualization"
    - "8 forms calibrated with field detection"
    - "Admin calibration viewer"
